List Global Accounts

Retrieve a paginated list of global accounts. Supports filtering by region, status, features, and creation time range.
Request Parameters
bankRegionstring
Filter accounts by bank region, following the ISO 3166 standard. See Data Types.
nickNamestring
Filter accounts by nickname.
statusstring
Filter accounts by status. See GlobalAccountStatus.
supportedFeaturesarray
Filter accounts by supported features.
Show child parametersShow child parameters
fromCreatedAtdatetime
Filter by creation time start (inclusive), following the ISO 8601 standard. See Data Types.
toCreatedAtdatetime
Filter by creation time end (inclusive), following the ISO 8601 standard. See Data Types.
limitinteger
required
Number of items per page. Range: 1–20.
cursorstring
Pagination cursor token. Use nextCursor or prevCursor from a previous response.
Response Parameters
resultResult
See Result.
itemsarray
List of global accounts. Maximum 20 elements.
Show child parametersShow child parameters
nextCursorstring
Cursor for the next page. null when on the last page.
prevCursorstring
Cursor for the previous page. null when on the first page.
Error Codes
resultCoderesultStatusresultMessageTroubleshooting
SUCCESSSSuccess.N/A
Definition
POST /api/open/v1/globalAccounts/list
Request
{
"bankRegion": "US",
"status": "ACTIVE",
"supportedFeatures": [
  {
    "currency": "USD"
  }
],
"cursor": "",
"limit": 20
}
Response
{
"result": {
  "resultCode": "SUCCESS",
  "resultMessage": "success",
  "resultStatus": "S"
},
"items": [
  {
    "id": "2026032519121000470000009473",
    "accountName": "Sandbox Business",
    "nickName": "USD in US for Subsidiary Company ABC",
    "accountType": "CHECKING",
    "status": "ACTIVE",
    "accountNumber": "8484346726",
    "iban": "IVAJPNIUM201000002",
    "swiftCode": "CMFGUS33",
    "institution": {
      "branchCode": "",
      "bankName": "Example Bank Ltd",
      "bankRegion": "US"
    },
    "requiredFeatures": [
      {
        "currency": "USD",
        "paymentType": "LOCAL"
      }
    ],
    "supportedFeatures": [
      {
        "type": "RECEIVING",
        "currency": "USD",
        "paymentNetwork": "ACH",
        "routingCodes": [
          {
            "type": "ACH",
            "value": "026073150"
          }
        ],
        "paymentType": "LOCAL"
      }
    ],
    "createdAt": "2026-03-30T12:08:56+08:00"
  }
],
"nextCursor": "",
"prevCursor": ""
}